Commit 7c444e81 authored by 35V LG84's avatar 35V LG84

Update build and deps

* Dependencies
** scala-collection-compat: 2.1.2
* Build
** scala: 2.12.9
** sbt-assembly: 0.14.10
** sbt-sonatype: 2.5
Signed-off-by: 35V LG84's avatar35V LG84 <35vlg84-x4e6b92@e257.fi>
parent e5de8b0c
Pipeline #75676416 passed with stage
in 12 minutes and 31 seconds
......@@ -41,12 +41,16 @@ Updated deps and tools:
** cats: 2.0.0-M4
** circe: 0.12.0-M4
** jgit: 5.4.0.201906121030-r
** scala-collection-compat: 2.1.2
** scallop: 3.3.1
* Build
** scala: 2.12.9
** sbt-assembly: 0.14.10
** sbt-git: 1.0.0 (new)
** sbt-scalajs: 0.6.28
** sbt-crossproject: 0.6.1
** sbt-scalajs-crossproject: 0.6.1
** sbt-sonatype: 2.5
** sbt-wartremover: 2.4.2
* Tests
** dirsuite: 0.30.1
......
......@@ -19,7 +19,7 @@ import Dependencies._
import sbtcrossproject.{crossProject, CrossType}
lazy val scala_12 = "2.12.8"
lazy val scala_12 = "2.12.9"
lazy val scala_13 = "2.13.0"
lazy val supportedScalaVersions = List(scala_12, scala_13)
......
......@@ -27,7 +27,7 @@ object Dependencies {
val circeOpticsVersion = "0.12.0-RC1"
val scalatestVersion = "3.0.8"
val scallopVersion = "3.3.1"
val scalaCollCompatVersion = "2.1.1"
val scalaCollCompatVersion = "2.1.2"
val configVersion = "1.3.4"
val dirsuiteVersion = "0.30.1"
val jgitVersion = "5.4.0.201906121030-r"
......
......@@ -17,7 +17,7 @@
// build-build deps (TestSetup etc.)
scalaVersion := "2.12.8"
scalaVersion := "2.12.9"
libraryDependencies += "com.github.pathikrit" %% "better-files" % "3.8.0"
libraryDependencies += "com.typesafe" % "config" % "1.3.4"
......
......@@ -8,7 +8,7 @@ addSbtPlugin("org.portable-scala" % "sbt-crossproject" % "0.6.1")
addSbtPlugin("org.portable-scala" % "sbt-scalajs-crossproject" % "0.6.1")
// build & release
addSbtPlugin("com.eed3si9n" % "sbt-assembly" % "0.14.9")
addSbtPlugin("com.eed3si9n" % "sbt-assembly" % "0.14.10")
addSbtPlugin("com.typesafe.sbt" % "sbt-git" % "1.0.0")
// QA tools
......@@ -16,5 +16,5 @@ addSbtPlugin("org.scoverage" % "sbt-scoverage" % "1.6.0")
addSbtPlugin("org.wartremover" % "sbt-wartremover" % "2.4.2")
// Publishing
addSbtPlugin("org.xerial.sbt" % "sbt-sonatype" % "2.3")
addSbtPlugin("org.xerial.sbt" % "sbt-sonatype" % "2.5")
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment